package com.goafanti.common.dao;

import com.goafanti.common.model.ExpenseAccountDetails;
import com.goafanti.expenseAccount.bo.OutExpenseAccountDetails;

import java.math.BigDecimal;
import java.util.List;

public interface ExpenseAccountDetailsMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(ExpenseAccountDetails record);

    int insertSelective(ExpenseAccountDetails record);

    ExpenseAccountDetails selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(ExpenseAccountDetails record);

    int updateByPrimaryKey(ExpenseAccountDetails record);


    List<OutExpenseAccountDetails> selectByEAid(Integer eaid);

    void deleteByeaid(Integer updateType);

    Integer selectExpenseAccountById(Integer id);
}
